Apache Tomcat 7.0.42

## org.apache.coyote.http11.upgrade
Class UpgradeAprProcessor

    java.lang.Object
      org.apache.coyote.http11.upgrade.UpgradeProcessor<Long>
          org.apache.coyote.http11.upgrade.UpgradeAprProcessor

All Implemented Interfaces:
  Processor<Long>

    public class UpgradeAprProcessor

extends UpgradeProcessor<Long>

Field Summary

Fields inherited from class org.apache.coyote.http11.upgrade.UpgradeProcessor
`sm`

Constructor Summary
`UpgradeAprProcessor(SocketWrapper<Long> wrapper, UpgradeInbound upgradeInbound)`

Method Summary
`void` `flush()`
`int` `read()` This is always a blocking read of a single byte.
`int` `read(boolean block, byte[] bytes, int off, int len)` Read up to len bytes from the input in either blocking or non-blocking mode (where non-blocking is supported).
`void` `write(byte[] b, int off, int len)`
`void` `write(int b)`

Methods inherited from class org.apache.coyote.http11.upgrade.UpgradeProcessor
`asyncDispatch, asyncPostProcess, event, getExecutor, getRequest, getUpgradeInbound, isAsync, isComet, isUpgrade, process, recycle, setSslSupport, upgradeDispatch`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### UpgradeAprProcessor

    public UpgradeAprProcessor(SocketWrapper<Long> wrapper,
                               UpgradeInbound upgradeInbound)

Method Detail

### flush

    public void flush()
               throws IOException

  Specified by:
    `flush` in class `UpgradeProcessor<Long>`
  Throws:
    `IOException`

### write

    public void write(int b)
               throws IOException

  Specified by:
    `write` in class `UpgradeProcessor<Long>`
  Throws:
    `IOException`

### write

    public void write(byte[] b,
                      int off,
                      int len)
               throws IOException

  Specified by:
    `write` in class `UpgradeProcessor<Long>`
  Throws:
    `IOException`

### read

    public int read()
             throws IOException

  Description copied from class: `UpgradeProcessor`
  This is always a blocking read of a single byte.

  Specified by:
    `read` in class `UpgradeProcessor<Long>`
  Returns:
    The next byte or -1 if the end of the input is reached.
  Throws:
    `IOException` - If a problem occurs trying to read from the input

### read

    public int read(boolean block,
                    byte[] bytes,
                    int off,
                    int len)
             throws IOException

  Description copied from class: `UpgradeProcessor`
  Read up to len bytes from the input in either blocking or non-blocking mode (where non-blocking is supported). If the input does not support non-blocking reads, a blcoking read will be performed.

  Specified by:
    `read` in class `UpgradeProcessor<Long>`
  Returns:
    The number of bytes read or -1 if the end of the input is reached. Non-blocking reads may return zero if no data is available. Blocking reads never return zero.
  Throws:
    `IOException` - If a problem occurs trying to read from the input

Apache Tomcat 7.0.42

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.